<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('Activities', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('Users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Activities', function(Blueprint $table) {
			$table->foreign('cycle_id')->references('id')->on('Cycles')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Activities', function(Blueprint $table) {
			$table->foreign('type_activity_id')->references('id')->on('Type_Activities')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('Activities', function(Blueprint $table) {
			$table->dropForeign('Activities_user_id_foreign');
		});
		Schema::table('Activities', function(Blueprint $table) {
			$table->dropForeign('Activities_cycle_id_foreign');
		});
		Schema::table('Activities', function(Blueprint $table) {
			$table->dropForeign('Activities_type_activity_id_foreign');
		});
	}
}